> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List bare metal flavors from default project

> List all available bare metal flavors in the default project.
When `include_prices` is specified, the list includes pricing information.
A client in trial mode gets all price values as 0. If you get Pricing Error contact the support.



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v1/bmflavors/{region_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/bmflavors/{region_id}:
    get:
      tags:
        - Bare Metal
      summary: List bare metal flavors from default project
      description: >-
        List all available bare metal flavors in the default project.

        When `include_prices` is specified, the list includes pricing
        information.

        A client in trial mode gets all price values as 0. If you get Pricing
        Error contact the support.
      operationId: DefaultBmFlavorsViewSet.get
      parameters:
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            type: integer
        - in: query
          name: client_id
          required: false
          description: Client identifier. Must be used for users w/o `client_id` in jwt
          schema:
            type: integer
        - in: query
          name: disabled
          required: false
          description: Flag for filtering disabled flavors in the region. Defaults to true
          schema:
            type: boolean
        - in: query
          name: exclude_linux
          required: false
          description: >-
            Set to true to exclude flavors dedicated to linux images. Default
            False
          schema:
            type: boolean
        - in: query
          name: exclude_windows
          required: false
          description: >-
            Set to true to exclude flavors dedicated to windows images. Default
            False
          schema:
            type: boolean
        - in: query
          name: include_capacity
          required: false
          description: Set to true if the response should include flavor capacity
          schema:
            type: boolean
        - in: query
          name: include_prices
          required: false
          description: Set to true if the response should include flavor prices
          schema:
            type: boolean
        - in: query
          name: include_reservation_stock
          required: false
          description: >-
            Optional. Set to true if flavor listing should include count of
            reserved resources in stock.
          schema:
            type: boolean
      responses:
        '200':
          description: List of bare metal flavors
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/BareMetalFlavorExtendedCollectionSerializer
components:
  schemas:
    BareMetalFlavorExtendedCollectionSerializer:
      properties:
        count:
          description: Number of objects
          example: 1
          examples:
            - 1
          minimum: 0
          title: Count
          type: integer
        results:
          description: Objects
          items:
            $ref: '#/components/schemas/BareMetalFlavorExtendedSerializer'
          title: Results
          type: array
      required:
        - count
        - results
      title: BareMetalFlavorExtendedCollectionSerializer
      type: object
    BareMetalFlavorExtendedSerializer:
      description: Bare metal flavor schema
      properties:
        architecture:
          description: Flavor architecture type
          example: x86_64
          examples:
            - x86_64
          title: Architecture
          type: string
        capacity:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          description: Number of available instances of given configuration
          examples:
            - 1
          title: Capacity
        currency_code:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: >-
            Currency code. Shown if the `include_prices` query parameter if set
            to true
          examples:
            - USD
          title: Currency Code
        disabled:
          description: Disabled flavor flag
          example: false
          examples:
            - false
          title: Disabled
          type: boolean
        flavor_id:
          description: Flavor ID is the same as name
          example: g2-standard-32-64
          examples:
            - g2-standard-32-64
          title: Flavor Id
          type: string
        flavor_name:
          description: Flavor name
          example: g2-standard-32-64
          examples:
            - g2-standard-32-64
          title: Flavor Name
          type: string
        hardware_description:
          additionalProperties:
            type: string
          default: {}
          description: Additional hardware description
          title: Hardware Description
          type: object
        os_type:
          description: Flavor operating system
          example: linux
          examples:
            - linux
          title: Os Type
          type: string
        price_per_hour:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          default: null
          description: >-
            Price per hour. Shown if the `include_prices` query parameter if set
            to true
          examples:
            - 1
          title: Price Per Hour
        price_per_month:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          default: null
          description: >-
            Price per month. Shown if the `include_prices` query parameter if
            set to true
          examples:
            - 720
          title: Price Per Month
        price_status:
          anyOf:
            - $ref: '#/components/schemas/PriceDisplayStatus'
            - type: 'null'
          default: null
          description: Price status for the UI
          examples:
            - show
        ram:
          description: RAM size in MiB
          example: 2048
          examples:
            - 2048
          title: Ram
          type: integer
        reserved_capacity:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          description: Number of available instances of given flavor from reservations
          examples:
            - 5
          title: Reserved Capacity
        resource_class:
          anyOf:
            - type: string
            - type: 'null'
          description: Flavor resource class for mapping to hardware capacity
          examples:
            - bm1-ai-small
          title: Resource Class
        vcpus:
          description: Virtual CPU count. For bare metal flavors, it's a physical CPU count
          example: 1
          examples:
            - 1
          title: Vcpus
          type: integer
      required:
        - flavor_id
        - flavor_name
        - vcpus
        - ram
        - disabled
        - os_type
        - architecture
        - resource_class
      title: Bare metal flavor schema
      type: object
    PriceDisplayStatus:
      enum:
        - error
        - hide
        - show
      title: PriceDisplayStatus
      type: string
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````